### Method

# EBackend ServerSideSource ref_oauth2_support

since: 3.8

#### Declaration [src]

    EOAuth2Support*
    e_server_side_source_ref_oauth2_support (
      EServerSideSource* source
    )

#### Description [src]

Returns the object implementing the `EOAuth2SupportInterface`, or `NULL` if `source` does not support OAuth 2.0 authentication.

The returned `EOAuth2Support` object is referenced for thread-safety. Unreference the object with `g_object_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `EOAuth2Support`

An `EOAuth2Support` object, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.